Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class RepositoryCacheMap

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.RepositoryCacheMap

    public class RepositoryCacheMap

extends java.lang.Object

Version:
  $Id: RepositoryCacheMap.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`static class` | `RepositoryCacheMap.CacheObject`
`static interface` | `RepositoryCacheMap.ObjectCache`
`protected static class` | `RepositoryCacheMap.VersionObject`

Constructor Summary
`RepositoryCacheMap(RepositoryService repository, RepositoryCacheMap.ObjectCache objectCache)`

Method Summary
`RepositoryCacheMap.CacheObject` | `cache(ExecutionContext context, FileResource res, boolean cacheFirst)`
`protected void` | `finalize()`
`protected void` | `put(FileResource res, RepositoryCacheMap.VersionObject value)`
`void` | `release()`
`void` | `remove(java.lang.String resourceURI)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryCacheMap

    public RepositoryCacheMap(RepositoryService repository,
                              RepositoryCacheMap.ObjectCache objectCache)

Method Detail

### cache

    public RepositoryCacheMap.CacheObject cache(ExecutionContext context,
                                                FileResource res,
                                                boolean cacheFirst)

### remove

    public void remove(java.lang.String resourceURI)

### put

    protected void put(FileResource res,
                       RepositoryCacheMap.VersionObject value)

### release

    public void release()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.